%define name brahms 
%define version 1.02
%define release 7mdk
%define kdever kde3
%define _requires_exceptions devel(
Summary: Music sequencer and notation program
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}-%{kdever}.tar.bz2
Source1: %{name}-16.png
Source2: %{name}-32.png
Source3: %{name}-48.png
Patch:	 brahms-1.02-kde3-arts-detection.patch.bz2
Patch1:  brahms_1.02-kde3-2.diff.bz2
Patch2:  brahms-1.02-gcc3.3.patch.bz2
URL: http://brahms.sourceforge.net/
License: GPL 
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: kdemultimedia-devel
Buildrequires: kdelibs-devel
Buildrequires: libltdl-devel

%description
The Brahms software provides an environment to operate 
on music data. At first, a piece of music is coded as a
collection of midi events kept in parts and tracks 
- the structures of a Brahms song.
Especially note objects keep extended information 
for intonation and abstract properties (like enharmonic
shift), which the midi format lacks. These notes can of 
course be played with Brahms via the midi interface.

%prep
%setup -q -n Brahms
%patch
%patch1 -p1
%patch2 -p1

%build
autoconf
./configure --disable-rpath --disable-final --prefix=%{_prefix} --libdir=%_libdir
%make

%install
rm -rf $RPM_BUILD_ROOT
# Laurent %%makeinstall doesn't work
make install DESTDIR=$RPM_BUILD_ROOT/

install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/brahms <<EOF
?package(%{name}):\
command="%{_bindir}/brahms"\
title="Brahms"\
longtitle="Music sequencer"\
needs="x11"\
icon="%{name}.png"\
section="Multimedia/Sound"
EOF
)

%post 
%{update_menus}
/sbin/ldconfig

%postun
%{clean_menus}
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc  README.brahms doc/arts-linuxtag2001.ps 
%_bindir/%name
%_datadir/doc/HTML/en/brahms/*
%_datadir/icons/*
%dir %_datadir/apps/%name/
%_datadir/applnk/Multimedia/brahms.kdelnk
%_datadir/apps/%name/*.rc
%dir %_datadir/apps/%name/pics/
%_datadir/apps/%name/pics/*
%_menudir/*
%{_libdir}/*.so
%{_libdir}/*.so.*
%{_libdir}/*.la
%{_libdir}/mcop/*

%changelog
* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.02-7mdk
- filter out all devel requires

* Tue Jun 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.02-6mdk
- fix buildrequires

* Mon Jun 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.02-5mdk
- update file list
- clean up buildrequires
- replace patch 1 and 2 by the debian patch and one for gcc 3.3 

* Tue Aug 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.02-4mdk
- don't compress the png icons
- remove obsolete buildrequires
- really fix the arts mess (patch 0)
- merge fixes from Reinhard Katzmann <reinhard@suamor.de> 
  - Fix spec file to use kde3 archive, compiled with gcc3.2
  - Add more patches to get arts problems fixed.
  - Comment original mdk patch (merged with gcc-3.1 patch)

* Sat May 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.02 -3mdk
- Fix spec file, now brahms works. Icons was not install in good directory

* Tue Apr 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.02 -2mdk
- 

* Fri Apr 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.02-1mdk
- first mdk release
